/* definitions pour interp_lib.c */

typedef struct {
	char *nom_fonc ;
	int(*fonc)();
	} FONC ;

typedef union {
	int    ent ;
	double real ;
	char   *ptr ;
	} MULT_TYP ; 


#define INT  1		/* type entier pour un parametre */
#define REAL 2		/* type float ou double          */
#define PTR  3		/* type pointeur		 */ 


MULT_TYP GetParam();

int app_atoi();
int app_malloc();
int app_bcopy();
int app_flsbuf();
int app_strlen();
int app_strcmp();

int app_namealloc();

/* dans interp_pr.c */
int app_printf();
int app_sprintf();
int app_NAME();

/* dans interp_mbk.c */
int app_DEF_AB();
int app_DEF_PHFIG();
int app_DEF_PHINS();
int app_PHCON();
int app_PHREF();
int app_PLACE();
int app_PLACE_BOTTOM();
int app_PLACE_LEFT();
int app_PLACE_REF();
int app_PLACE_RIGHT();
int app_PLACE_TOP();
int app_PLACE_ON();
int app_COPY_UP_ALL_CON();
int app_COPY_UP_CON();
int app_COPY_UP_CON_FACE();
int app_COPY_UP_ALL_REF();
int app_COPY_UP_REF();
int app_PHSEG();
int app_COPY_UP_SEG();
int app_THRU_H();
int app_THRU_V();
int app_THRU_CON_H();
int app_THRU_CON_V();
int app_HEIGHT();
int app_WIDTH();
int app_GET_REF_X();
int app_GET_REF_Y();
int app_GET_INS_X();
int app_GET_INS_Y();
int app_GET_CON_X();
int app_GET_CON_Y();
int app_WIRE1();
int app_WIRE2();
int app_WIRE3();
int app_PHVIA();
int app_PLACE_VIA_REF();
int app_PLACE_SEG_REF();
int app_PLACE_CON_REF();
int app_FLATTEN_PHFIG();
int app_FLATTEN_ALL_PHINS();
